Function
atomicDec
Atomically decrement an integer.
atomicDec(x)
Include Headers
seqan/parallel.h
Parameters

x | Integer, by reference.

Remarks
This is equivalent to an atomic --x.
Note that atomic decrements are limited to 32 bit and 64 bit with MSVC (64 bit is only available on 64 bit Windows).
You are responsible for correctly aligning x such that the atomic increment works on the hardware you target.
Return Values
The old value of x.
See Also
atomicInc, atomicAdd, atomicXor, atomicCas, atomicOr
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46